Pixeli
GET https://tistos.com/api/pixels/
curl --request GET \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrii | Detalii | Descriere |
|---|---|---|
| search | Opțional Șir | Șirul de căutare. |
| search_by | Opțional Șir | Ce domeniu căutați. Valorile permise sunt: name, pixel. |
| type | Opțional Șir | Valori permise: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | Opțional Șir | Valori permise: datetime, last_datetime |
| datetime_start | Opțional Șir | Filtrați rezultatele începând de la această dată și oră. Format Y-m-d H:i:s. |
| datetime_end | Opțional Șir | Filtrați rezultatele până la această dată și oră. Format Y-m-d H:i:s. |
| order_by | Opțional Șir | Ce câmp să ordonați rezultatele după. Valorile permise sunt: pixel_id, datetime, last_datetime, name. |
| order_type | Opțional Șir | Ordinea rezultatelor. Valorile permise sunt: ASC pentru ordonare ascendentă și DESC pentru ordonare descendentă. |
| page | Opțional Întreg | Numărul paginii din care doriți rezultate. Implicit este 1. |
| results_per_page | Opțional Întreg | Câte rezultate dorești pe pagină. Valorile permise sunt: 10, 25, 50, 100, 250, 500, 1000. Implicit este 25. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 11:34:26",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/pixels?page=1",
"last": "https://tistos.com/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/pixels?page=1"
}
}
GET https://tistos.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 11:34:26",
}
}
POST https://tistos.com/api/pixels
| Parametrii | Detalii | Descriere |
|---|---|---|
| type | Necesar Șir | Valori permise: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Necesar Șir | - |
| pixel | Necesar Șir | - |
curl --request POST \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/pixels/{pixel_id}
| Parametrii | Detalii | Descriere |
|---|---|---|
| type | Opțional Șir | Valori permise: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Opțional Șir | - |
| pixel | Opțional Șir | - |
curl --request POST \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \